Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.chart.ide
Class AGFChartPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.amp.agf.chart.ide.AGFChartPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class AGFChartPlugin

extends org.eclipse.ui.plugin.AbstractUIPlugin

The activator class controls the plug-in life cycle.

Field Summary
`static java.lang.String` | `PLUGIN_ID`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`AGFChartPlugin()` The constructor.

Method Summary
`static AGFChartPlugin` | `getDefault()` Returns the shared instance.
`void` | `start(org.osgi.framework.BundleContext context)`
`void` | `stop(org.osgi.framework.BundleContext context)`

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, shutdown, startup`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

Constructor Detail

### AGFChartPlugin

    public AGFChartPlugin()

  The constructor.

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`
  See Also:
    `AbstractUIPlugin.start(org.osgi.framework.BundleContext)`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`
  See Also:
    `AbstractUIPlugin.stop(org.osgi.framework.BundleContext)`

### getDefault

    public static AGFChartPlugin getDefault()

  Returns the shared instance.

  Returns:
    the shared instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD